package at.tuwien.mapper;

import at.tuwien.BaseUnitTest;
import at.tuwien.annotations.MockAmqp;
import at.tuwien.annotations.MockOpensearch;
import at.tuwien.entities.container.image.ContainerImageDate;
import at.tuwien.entities.database.table.columns.TableColumn;
import at.tuwien.entities.database.table.columns.TableColumnType;
import lombok.extern.log4j.Log4j2;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit.jupiter.SpringExtension;

import java.time.Instant;

import static org.junit.jupiter.api.Assertions.assertEquals;

@Log4j2
@SpringBootTest
@ExtendWith(SpringExtension.class)
@MockAmqp
@MockOpensearch
public class QueryMapperTest extends BaseUnitTest {

    @Autowired
    private QueryMapper queryMapper;

    @Test
    @Disabled("timezone issue")
    public void dataColumnToObject_succeeds() {
        final TableColumn request = TableColumn.builder()
                .id(1L)
                .dateFormat(IMAGE_DATE_1)
                .autoGenerated(false)
                .columnType(TableColumnType.TIMESTAMP)
                .internalName("date")
                .name("Date")
                .dateFormat(ContainerImageDate.builder().build())
                .table(TABLE_1)
                .build();

        /* test */
        final Object response = queryMapper.dataColumnToObject("2022-05-12 14:50:54.0", request);
        assertEquals(Instant.ofEpochSecond(1652359854), (Instant) response);
    }

}
